Download it now!
Bug 126061 - Cursor does not show when F6, ctrl+F6 or Escape from sidebar
Summary: Cursor does not show when F6, ctrl+F6 or Escape from sidebar
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: All All
: medium normal
Assignee: Jim Raykowski
URL:
Whiteboard: target:6.4.0 target:6.3.0.1
Keywords:
Depends on:
Blocks:
 
Reported: 2019-06-23 23:54 UTC by Jim Raykowski
Modified: 2019-07-03 14:28 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jim Raykowski 2019-06-23 23:54:48 UTC

    
Comment 1 Jim Raykowski 2019-06-24 00:16:54 UTC
In Draw/Impress the cursor does not show when F6, Ctrl+F6, or sidebar Escape changes focus to text box or shape in edit mode.

To repro:

1) Open Draw or Impress
2) Insert a Text box or Shape
3) Enter some text in the Text box or Shape
4) Repeatedly press F6 to move focus

Results: Cursor never reappears in Text box or Shape

5) Press Ctrl+F6

Results: Cursor does not appear in Text box or Shape

6) Click in Font size control in the sidebar Properties deck Character panel
7) Press Escape key twice to return focus to draw document

Results: Cursor does not show in Text box or Shape until a key is pressed

Expected results: Cursor shows in Text box or Shape
Comment 2 V Stuart Foote 2019-06-24 03:51:38 UTC
Confirmed on Windows 10 Home 64-bit en-US with
Version: 6.2.4.2 (x64)
Build ID: 2412653d852ce75f65fbfa83fb7e7b669a126d64
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: en-US (en_US); UI-Language: en-US
Calc: threaded
Comment 3 Jim Raykowski 2019-06-25 07:14:44 UTC
Throwing in the towel on creating a unified patch for this and related bug 50530. 

Here is a separate patch for this:
https://gerrit.libreoffice.org/#/c/74676/
Comment 4 Commit Notification 2019-06-26 21:15:27 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/3a662445a0e3666637e5eb140b106a1347f050eb%5E%21

tdf#126061 Make text edit outliner view show cursor

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2019-07-03 14:28:34 UTC
Jim Raykowski committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/d51cabce47914a44a5145f2ebf89f920a4c38cb2%5E%21

tdf#126061 Make text edit outliner view show cursor

It will be available in 6.3.0.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.